# Images

## Core images

| Description                                                                                                      | Image URL                                                                                     | Version |
| ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- | ------- |
| [Seldon Operator](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/workflow/install.md)               | [seldonio/seldon-core-operator](https://hub.docker.com/r/seldonio/seldon-core-operator/tags/) | 1.19.0  |
| [Seldon Service Orchestrator (Go)](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/graph/svcorch.md) | [seldonio/seldon-core-executor](https://hub.docker.com/r/seldonio/seldon-core-executor/tags)  | 1.19.0  |

## Pre-packaged servers

| Description                                                       | Image URL                                                                       | Version |
| ----------------------------------------------------------------- | ------------------------------------------------------------------------------- | ------- |
| [MLFlow Server](/seldon-core-1/configuration/servers/mlflow.md)   | [seldonio/mlflowserver](https://hub.docker.com/r/seldonio/mlflowserver/tags/)   | 1.19.0  |
| [SKLearn Server](/seldon-core-1/configuration/servers/sklearn.md) | [seldonio/sklearnserver](https://hub.docker.com/r/seldonio/sklearnserver/tags/) | 1.19.0  |
| [XGBoost Server](/seldon-core-1/configuration/servers/xgboost.md) | [seldonio/xgboostserver](https://hub.docker.com/r/seldonio/xgboostserver/tags/) | 1.19.0  |

## Server proxies

| Description                                                                                   | Image URL                                                                           | Version |
| --------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- | ------- |
| [SageMaker proxy](https://github.com/SeldonIO/seldon-core/tree/master/integrations/sagemaker) | [seldonio/sagemaker-proxy](https://hub.docker.com/r/seldonio/sagemaker-proxy/tags/) | 0.1     |
| [Tensorflow Serving proxy](/seldon-core-1/configuration/servers/tensorflow.md)                | [seldonio/tfserving-proxy](https://hub.docker.com/r/seldonio/tfserving-proxy/tags/) | 1.19.0  |

## Python modules

| Description                                          | Python Version | Version |
| ---------------------------------------------------- | -------------- | ------- |
| [seldon-core](https://pypi.org/project/seldon-core/) | >3.4,<3.13     | 1.19.0  |

## Other images

The following images are examples only.

### Language wrappers (examples only)

| Description                                                                                                                             | Image URL                                                                                                                   |
| --------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| [Seldon Python 3 (3.12) Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/python-language-wrapper/python_wrapping_s2i.md) | [seldonio/seldon-core-s2i-python3](https://hub.docker.com/r/seldonio/seldon-core-s2i-python3/tags/)                         |
| [Seldon Python 3.12 Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/python-language-wrapper/python_wrapping_s2i.md)     | [seldonio/seldon-core-s2i-python312](https://hub.docker.com/r/seldonio/seldon-core-s2i-python312/tags/)                     |
| [Seldon Python ONNX Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/python-language-wrapper/python_wrapping_s2i.md)     | [seldonio/seldon-core-s2i-python3-ngraph-onnx](https://hub.docker.com/r/seldonio/seldon-core-s2i-python3-ngraph-onnx/tags/) |
| [Seldon Java Build Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/java.md)                                             | [seldonio/seldon-core-s2i-java-build](https://hub.docker.com/r/seldonio/seldon-core-s2i-java-build/tags/)                   |
| [Seldon Java Runtime Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/java.md)                                           | [seldonio/seldon-core-s2i-java-runtime](https://hub.docker.com/r/seldonio/seldon-core-s2i-java-runtime/tags/)               |
| [Seldon R Wrapper for S2I](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/wrappers/R.md)                                   | [seldonio/seldon-core-s2i-r](https://hub.docker.com/r/seldonio/seldon-core-s2i-r/tags/)                                     |
| [Seldon NodeJS Wrapper for S2I](/seldon-core-1/configuration/wrappers-and-sdks/nodejs.md)                                               | [seldonio/seldon-core-s2i-nodejs](https://hub.docker.com/r/seldonio/seldon-core-s2i-nodejs/tags/)                           |

### Java packages (examples only)

You can find these packages in the Maven repository.

| Description                                                            | Package             | Version |
| ---------------------------------------------------------------------- | ------------------- | ------- |
| [Seldon Core Wrapper](https://github.com/SeldonIO/seldon-java-wrapper) | seldon-core-wrapper | 0.1.5   |
| [Seldon Core JPMML](https://github.com/SeldonIO/JPMML-utils)           | seldon-core-jpmml   | 0.0.1   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-1/reference/images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
